# $Revision: 1.23 $, $Date: 2010/04/22 10:33:29 $
%define		vermain		3.3a
%define		verminor	5
Summary:	Bigloo is compiler for the Scheme programming language
Summary(pl.UTF-8):	Bigloo - kompilator języka programowania Scheme
Name:		bigloo
Version:	%{vermain}.%{verminor}
Release:	1
License:	GPL/LGPL
Group:		Development/Languages
Source0:	ftp://ftp-sop.inria.fr/mimosa/fp/Bigloo/%{name}%{vermain}-%{verminor}.tar.gz
# Source0-md5:	cc07aefa51e14f3f8dbdaca9bc77386b
Patch0:		%{name}-install.patch
URL:		http://www-sop.inria.fr/mimosa/fp/Bigloo/
BuildRequires:	gmp-devel
BuildRequires:	openssl-devel
BuildRequires:	sqlite3-devel
BuildRequires:	gstreamer-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bigloo is a compiler and interpreter for an extended version of the
Scheme programming language. Bigloo allows a full connection between
Scheme and C programs. It delivers fast and small executables.

%description -l pl.UTF-8
Bigloo jest kompilatorem i interpreterem rozszerzonej wersji języka
programowania Scheme. Bigloo pozwala na pełne łączenie programów w
Scheme i w C. Daje szybkie i małe binarki.

%prep
%setup -q -n %{name}%{vermain}-%{verminor}
%patch0 -p1

%build
./configure \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir}/man1 \
	--infodir=%{_infodir} \
	--emacs=/bin/true \
	--jvm=no \
	--cflags="%{rpmcflags}" \
	--coflags="%{rpmcflags}"

%{__make} boot

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

for ff in manuals/*.man ; do
	install -p $ff $RPM_BUILD_ROOT%{_mandir}/man1/$(basename $ff .man).1
done

rm -r $RPM_BUILD_ROOT%{_prefix}/doc
rm -r $RPM_BUILD_ROOT%{_libdir}/%{name}/%{vermain}/Makefile.misc
rm -r $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README ChangeLog manuals/*.html
%dir %{_libdir}/bigloo
%dir %{_libdir}/bigloo/%{vermain}
%attr(755,root,root) %{_bindir}/*
%{_libdir}/bigloo/%{vermain}/Makefile.config
%{_libdir}/bigloo/%{vermain}/bigloo.h
%{_libdir}/bigloo/%{vermain}/bigloo_config.*
%{_libdir}/bigloo/%{vermain}/bigloo_gc.h
%{_libdir}/bigloo/%{vermain}/*.init
#%{_libdir}/bigloo/%{vermain}/*.zip
%{_libdir}/bigloo/%{vermain}/*.*heap
%{_libdir}/bigloo/%{vermain}/lib*.a
%{_libdir}/bigloo/%{vermain}/bmem
%attr(755,root,root) %{_libdir}/bigloo/%{vermain}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.so
%{_mandir}/man1/*
%{_datadir}/info/bigloo.info*
#%%{_datadir}/xemacs/site-lisp/bigloo/*.el*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bigloo.spec,v $
Revision 1.23  2010/04/22 10:33:29  baggins
- rel 1

Revision 1.22  2010/04/22 10:26:41  baggins
- updated to 3.3a-5
- simplified install
- added BRs

Revision 1.21  2010/04/21 17:00:08  arekm
- release 3

Revision 1.20  2010/03/29 07:08:23  arekm
- release 2

Revision 1.19  2009/03/19 19:33:42  duddits
- up to 3.2a

Revision 1.18  2008/11/24 14:21:10  gotar
- upgraded to 3.1b

Revision 1.17  2007/09/16 16:24:05  adamg
- updated to 3.0b

Revision 1.16  2007/08/26 15:35:47  adamg
- package bigloo_gc.h

Revision 1.15  2007/08/26 13:36:38  adamg
- updated to 3.0b-beta21Aug07
- license set to GPL/LGPL (as states LICENSE file)
- gcc4 patch removed
- builds

Revision 1.14  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:40  baggins
- converted to UTF-8

Revision 1.12  2005/05/13 13:53:22  qrczak
- bigloo-gcc4.patch: removed lvalue cast
- Release 2

Revision 1.11  2004/11/05 10:49:22  paladine
- spaces->tabs
- cosmetics

Revision 1.10  2003/12/22 15:37:11  eothane
- updated to 2.6b
- added URL:
- changed Patch1: to Patch0:

Revision 1.9  2003/08/27 00:16:32  gotar
- fixed changelog trailer

Revision 1.8  2003/08/10 17:25:05  gotar
- upgraded to 2.6a,
- removed outdated DESTDIR patch,
- passed --jvm=no (requires java),
- fixed passing CFLAGS,
- commented out fthread (needs java?),
- fixed file listing.

Revision 1.7  2003/08/10 16:17:21  gotar
- cosmetics

Revision 1.5  2003/07/07 04:23:50  blues
- many small fixes, inspired by kloczek

Revision 1.4  2003/05/26 16:24:46  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/02/28 10:07:20  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.2  2002/10/22 13:59:08  qboosh
- pl description, some cleanups

Revision 1.1  2002/10/21 18:03:07  baggins
- initial revision
- needs cleanup
